## r-cran-cpp11 0.4.1

=== DESCRIPTION ===
Package: cpp11
Title: A C++11 Interface for R's C Interface
Version: 0.4.1
Authors@R: 
    c(person(given = "Jim",
             family = "Hester",
             role = c("aut", "cre"),
             email = "jim.hester@rstudio.com",
             comment = c(ORCID = "0000-0002-2739-7082")),
      person(given = "Romain",
             family = "François",
             role = "ctb"),
      person(given = "Benjamin",
             family = "Kietzman",
             role = "ctb"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Provides a header only, C++11 interface to R's C
    interface.  Compared to other approaches 'cpp11' strives to be safe
    against long jumps from the C API as well as C++ exceptions, conform
    to normal R function semantics and supports interaction with 'ALTREP'
    vectors.
License: MIT + file LICENSE
URL: https://cpp11.r-lib.org, https://github.com/r-lib/cpp11
BugReports: https://github.com/r-lib/cpp11/issues
Suggests: bench, brio, callr, cli, covr, decor, desc, ggplot2, glue,
        knitr, lobstr, mockery, progress, rmarkdown, scales, Rcpp,
        testthat, tibble, utils, vctrs, withr
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/Needs/cpp11/cpp_register: brio, cli, decor, desc, glue, tibble,
        vctrs
Encoding: UTF-8
RoxygenNote: 7.1.1
SystemRequirements: C++11
NeedsCompilation: no
Packaged: 2021-11-03 15:19:35 UTC; jhester
Author: Jim Hester [aut, cre] (<https://orcid.org/0000-0002-2739-7082>),
  Romain François [ctb],
  Benjamin Kietzman [ctb],
  RStudio [cph, fnd]
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2021-11-03 16:10:05 UTC

## r-cran-cpp11 0.2.6

=== debian/changelog ===
r-cran-cpp11 (0.2.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 25 May 2021 18:28:43 +0200

r-cran-cpp11 (0.2.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 31 Jan 2021 15:08:10 +0100

r-cran-cpp11 (0.2.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 08:56:00 +0100

r-cran-cpp11 (0.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2020 12:08:22 +0100

r-cran-cpp11 (0.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 14:31:04 +0100

r-cran-cpp11 (0.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2020 10:38:49 +0200

r-cran-cpp11 (0.2.1-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 15:38:50 +0200

r-cran-cpp11 (0.2.1-1) unstable; urgency=medium

  * Initial release (closes: #969814)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 14:13:16 +0200

=== debian/control ===
Source: r-cran-cpp11
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cpp11
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cpp11.git
Homepage: https://cran.r-project.org/package=cpp11
Rules-Requires-Root: no

Package: r-cran-cpp11
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: C++11 interface for GNU R's C interface
 Provides a header only, C++11 interface to R's C
 interface.  Compared to other approaches 'cpp11' strives to be safe
 against long jumps from the C API as well as C++ exceptions, conform
 to normal R function semantics and supports interaction with 'ALTREP'
 vectors.

## r-cran-cpp11 0.3.1

=== debian/changelog ===
r-cran-cpp11 (0.3.1-2) unstable; urgency=medium

  * Upload to unstable
    Closes: #991489
  * Autopkgtest is passing
    Closes: #975095

 -- Andreas Tille <tille@debian.org>  Fri, 13 Aug 2021 13:11:25 +0200

r-cran-cpp11 (0.3.1-1) experimental; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jul 2021 08:17:00 +0200

## r-cran-cpp11 0.4.1

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: r-cran-cpp11
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cpp11
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cpp11.git
 Homepage: https://cran.r-project.org/package=cpp11

## r-cran-cpp11 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Package: cpp11
 Title: A C++11 Interface for R's C Interface
-Version: 0.4.1
+Version: 0.4.2
 Authors@R: 
     c(person(given = "Jim",
              family = "Hester",
-             role = c("aut", "cre"),
-             email = "jim.hester@rstudio.com",
+             role = "aut",
              comment = c(ORCID = "0000-0002-2739-7082")),
       person(given = "Romain",
              family = "François",
-             role = "ctb"),
+             role = c("aut", "cre"),
+             email = "romain@rstudio.com"),
       person(given = "Benjamin",
              family = "Kietzman",
              role = "ctb"),
@@ -31,14 +31,14 @@
 Config/Needs/cpp11/cpp_register: brio, cli, decor, desc, glue, tibble,
         vctrs
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 SystemRequirements: C++11
 NeedsCompilation: no
-Packaged: 2021-11-03 15:19:35 UTC; jhester
-Author: Jim Hester [aut, cre] (<https://orcid.org/0000-0002-2739-7082>),
-  Romain François [ctb],
+Packaged: 2021-11-29 17:26:06 UTC; jhester
+Author: Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
+  Romain François [aut, cre],
   Benjamin Kietzman [ctb],
   RStudio [cph, fnd]
-Maintainer: Jim Hester <jim.hester@rstudio.com>
+Maintainer: Romain François <romain@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-11-03 16:10:05 UTC
+Date/Publication: 2021-11-30 09:10:04 UTC

=== debian/changelog ===
r-cran-cpp11 (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * d/copyright: s/MIT/Expat/

 -- Nilesh Patra <nilesh@debian.org>  Sun, 05 Dec 2021 02:18:22 +0530

r-cran-cpp11 (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Nov 2021 20:22:49 +0530

r-cran-cpp11 (0.4.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

  [ Nilesh Patra ]
  * d/t/control: Add test-depends on build-essential
    and r-cran-progress
  * Add patch to add include-path to cpp11/include for
    test compilation
  * Add myself to uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 17 Oct 2021 03:01:23 +0530

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mockery, r-cran-tibble, r-cran-decor, r-cran-knitr, r-cran-brio, r-cran-progress, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/cpp11_([-\d.]*)\.tar\.gz

## r-cran-cpp11 0.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cpp11
 Title: A C++11 Interface for R's C Interface
-Version: 0.4.2
+Version: 0.4.3
 Authors@R: 
     c(person(given = "Jim",
              family = "Hester",
@@ -27,18 +27,19 @@
         knitr, lobstr, mockery, progress, rmarkdown, scales, Rcpp,
         testthat, tibble, utils, vctrs, withr
 VignetteBuilder: knitr
+Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Config/Needs/cpp11/cpp_register: brio, cli, decor, desc, glue, tibble,
         vctrs
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 SystemRequirements: C++11
 NeedsCompilation: no
-Packaged: 2021-11-29 17:26:06 UTC; jhester
+Packaged: 2022-10-12 08:07:26 UTC; romainfrancois
 Author: Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Romain François [aut, cre],
   Benjamin Kietzman [ctb],
   RStudio [cph, fnd]
 Maintainer: Romain François <romain@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-11-30 09:10:04 UTC
+Date/Publication: 2022-10-12 08:43:54 UTC

=== debian/changelog ===
r-cran-cpp11 (0.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.3
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Oct 2022 22:08:02 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cpp11
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cpp11.git
 Homepage: https://cran.r-project.org/package=cpp11

## r-cran-cpp11 0.4.5

=== debian/changelog ===
r-cran-cpp11 (0.4.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jul 2023 14:58:57 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bench,
        r-cran-brio,
        r-cran-callr,
        r-cran-cli,
        r-cran-covr,
        r-cran-decor,
        r-cran-desc,
        r-cran-ggplot2,
        r-cran-glue,
        r-cran-knitr,
        r-cran-lobstr,
        r-cran-mockery,
        r-cran-progress,
        r-cran-rmarkdown,
        r-cran-scales,
        r-cran-rcpp,
        r-cran-testthat,
        r-cran-tibble,
        r-cran-vctrs,
        r-cran-withr,
        build-essential
Restrictions: allow-stderr

## r-cran-cpp11 0.4.6

=== debian/changelog ===
r-cran-cpp11 (0.4.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 15 Aug 2023 11:45:11 +0200

## r-cran-cpp11 0.4.7

=== debian/changelog ===
r-cran-cpp11 (0.4.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:16:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-cpp11
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cpp11
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cpp11.git
+Homepage: https://cran.r-project.org/package=cpp11
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cpp11
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cpp11.git
-Homepage: https://cran.r-project.org/package=cpp11
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cpp11
 Architecture: all

## r-cran-cpp11 0.5.0

=== debian/changelog ===
r-cran-cpp11 (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 08:45:53 +0900

## r-cran-cpp11 0.5.1

=== debian/changelog ===
r-cran-cpp11 (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 08:47:37 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cpp11
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cpp11.git
 Homepage: https://cran.r-project.org/package=cpp11
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-cpp11 0.5.2

=== DESCRIPTION ===
Package: cpp11
Title: A C++11 Interface for R's C Interface
Version: 0.5.2
Authors@R: 
    c(
      person("Davis", "Vaughan", email = "davis@posit.co", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4777-038X")),
      person("Jim","Hester", role = "aut", comment = c(ORCID = "0000-0002-2739-7082")),
      person("Romain", "François", role = "aut", comment = c(ORCID = "0000-0002-2444-4226")),
      person("Benjamin", "Kietzman", role = "ctb"),
      person("Posit Software, PBC", role = c("cph", "fnd"))
    )
Description: Provides a header only, C++11 interface to R's C
    interface.  Compared to other approaches 'cpp11' strives to be safe
    against long jumps from the C API as well as C++ exceptions, conform
    to normal R function semantics and supports interaction with 'ALTREP'
    vectors.
License: MIT + file LICENSE
URL: https://cpp11.r-lib.org, https://github.com/r-lib/cpp11
BugReports: https://github.com/r-lib/cpp11/issues
Depends: R (>= 4.0.0)
Suggests: bench, brio, callr, cli, covr, decor, desc, ggplot2, glue,
        knitr, lobstr, mockery, progress, rmarkdown, scales, Rcpp,
        testthat (>= 3.2.0), tibble, utils, vctrs, withr
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/Needs/cpp11/cpp_register: brio, cli, decor, desc, glue, tibble,
        vctrs
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-03-03 22:24:28 UTC; davis
Author: Davis Vaughan [aut, cre] (<https://orcid.org/0000-0003-4777-038X>),
  Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
  Romain François [aut] (<https://orcid.org/0000-0002-2444-4226>),
  Benjamin Kietzman [ctb],
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2025-03-03 23:20:02 UTC

=== debian/changelog ===
r-cran-cpp11 (0.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Mar 2025 14:23:31 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cpp11
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cpp11.git
 Homepage: https://cran.r-project.org/package=cpp11
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
         r-cran-rmarkdown,
         r-cran-scales,
         r-cran-rcpp,
-        r-cran-testthat,
+        r-cran-testthat (>= 3.2.0),
         r-cran-tibble,
         r-cran-vctrs,
         r-cran-withr,

## r-cran-cpp11 0.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cpp11
 Title: A C++11 Interface for R's C Interface
-Version: 0.5.2
+Version: 0.5.3
 Authors@R: 
     c(
       person("Davis", "Vaughan", email = "davis@posit.co", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4777-038X")),
@@ -29,12 +29,13 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-03-03 22:24:28 UTC; davis
-Author: Davis Vaughan [aut, cre] (<https://orcid.org/0000-0003-4777-038X>),
-  Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
-  Romain François [aut] (<https://orcid.org/0000-0002-2444-4226>),
+Packaged: 2026-01-20 13:50:54 UTC; davis
+Author: Davis Vaughan [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-4777-038X>),
+  Jim Hester [aut] (ORCID: <https://orcid.org/0000-0002-2739-7082>),
+  Romain François [aut] (ORCID: <https://orcid.org/0000-0002-2444-4226>),
   Benjamin Kietzman [ctb],
   Posit Software, PBC [cph, fnd]
 Maintainer: Davis Vaughan <davis@posit.co>
 Repository: CRAN
-Date/Publication: 2025-03-03 23:20:02 UTC
+Date/Publication: 2026-01-20 15:20:02 UTC

=== debian/changelog ===
r-cran-cpp11 (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 22 Jan 2026 08:51:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-cpp11
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cpp11
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cpp11.git
 Homepage: https://cran.r-project.org/package=cpp11
-Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cpp11
 Architecture: all
